Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367441 - [RHCS-1.3] ceph-objectstore-tool: ability to perform filestore splits offline : new command apply-layout-settings
Summary: [RHCS-1.3] ceph-objectstore-tool: ability to perform filestore splits offline...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 1.3.2
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: 1.3.4
Assignee: Josh Durgin
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1394936
TreeView+ depends on / blocked
 
Reported: 2016-08-16 12:07 UTC by Vikhyat Umrao
Modified: 2017-07-30 15:09 UTC (History)
11 users (show)

Fixed In Version: RHEL: ceph-0.94.9-4.el7cp Ubuntu: ceph_0.94.9-5redhat1
Doc Type: Enhancement
Doc Text:
.Collection splitting can be now done offline This update adds the `apply-layout-settings` command to the `ceph-objectstore-tool` utility. The new command enables users to perform collection splitting offline on OSD nodes in cases when doing it online would cause too large an impact.
Clone Of:
: 1367442 (view as bug list)
Environment:
Last Closed: 2016-12-01 21:38:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2847 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage 1.3 security, bug fix, and enhancement update 2016-12-02 02:38:33 UTC
Ceph Project Bug Tracker 17220 None None None 2016-09-22 16:13:15 UTC
Red Hat Product Errata RHSA-2016:2848 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage 1.3 security, bug fix, and enhancement update 2016-12-02 03:04:31 UTC

Description Vikhyat Umrao 2016-08-16 12:07:21 UTC
Description of problem:

ceph-objectstore-tool with new option 'apply-layout-settings'


Version-Release number of selected component (if applicable):
Red Hat Ceph Storage 1.3.2

Comment 1 Ken Dreyer (Red Hat) 2016-08-17 14:38:24 UTC
Not yet implemented upstream, re-targeting to 1.3.4

Comment 5 Ken Dreyer (Red Hat) 2016-09-22 16:13:16 UTC
From discussion in the clone bz 1367442, the appropriate upstream tracker here is actually http://tracker.ceph.com/issues/17220 .

Still need to know if we should leave this BZ open for RHCS 1.3 or not.

Comment 6 Vikhyat Umrao 2016-09-22 19:17:49 UTC
(In reply to Ken Dreyer (Red Hat) from comment #5)
> From discussion in the clone bz 1367442, the appropriate upstream tracker
> here is actually http://tracker.ceph.com/issues/17220 .
> 
> Still need to know if we should leave this BZ open for RHCS 1.3 or not.

Yes I think we should. As we have seen customer issues in 1.3. 
and in upstream it is getting backported to hammer with ticket: http://tracker.ceph.com/issues/17383

Comment 7 Josh Durgin 2016-09-30 22:23:53 UTC
This can be tested by running a subset of the rados:thrash suite, since https://github.com/ceph/ceph-qa-suite/pull/1192 exercises it.

Comment 11 Vasu Kulkarni 2016-11-29 17:55:22 UTC
Verified in 0.94.9-7.el7cp

http://pulpito.ceph.redhat.com/vasu-2016-11-28_14:28:28-rados:thrash-hammer---basic-multi/

Comment 13 errata-xmlrpc 2016-12-01 21:38:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2847.html


Note You need to log in before you can comment on or make changes to this bug.